import 'package:flutter/material.dart';
import 'package:marianum_mobile/view/pages/more/abiturCalculator/abiturCalculatorView.dart';

import '../models/abiturCalculatorModel.dart';

class SelectGkStep extends Step {
  SelectGkStep() : super(
    title: const Text("Grundkurse"),
    content: Builder(builder: (context) {
      var gkSubjects = AbiturCalculatorModel.get(context).getSubjects.collection.where((e) => e.isGk()).toList();
      return Column(
        children: [
          AbiturCalculatorView.listSubjects(gkSubjects),
          TextButton(
            onPressed: () {
              // showDialog(
              //   context: context,
              //   barrierDismissible: false,
              //   builder: (context) => const SelectGkDialog(),
              // );
            },
            child: Text(
                "Grundkurse ${gkSubjects.isEmpty ? "auswählen" : "ändern"}"),
          ),
        ],
      );
    }),
  );
}